package com.xxl.job.executor.batch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 快手-广告主基本信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-09-18
 */
@Data
@TableName("ctop_kuaishou_advertiser_base_info")
public class KuaiShouAdvertiserBaseInfo {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 账户ID
     */
    private Long accountId;
    /**
     * 账号快手id
     */
    private String userId;
    /**
     * 公司名称
     */
    private String corporationName;
    /**
     * 快手昵称
     */
    private String userName;
    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 修改时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
}
