package com.xxl.job.executor.batch.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * @Description: 快手-创意信息
 * @Author: jeecg-boot
 * @Date: 2019-07-23
 * @Version: V1.0
 */
@Data
@TableName("ctop_kuaishou_creative")
public class KuaiShouCreative {

    /**
     * id
     */
    @TableId
    private String id;

    /**
     * 账户ID
     */
    private Long accountId;
    /**
     * 广告计划ID
     */
    private Long campaignId;
    /**
     * 广告组ID
     */
    private Long unitId;
    /**
     * 广告创意ID
     */
    private Long creativeId;

    /**
     * 素材类型
     */
    private Integer creativeMaterialType;

    /**
     * 广告创意名称
     */
    private String creativeName;
    /**
     * 单图创意ur
     */
    private String materialUrl;
    /**
     * 单图创意image_token
     */
    private String imageTokens;
    /**
     * 视频作品ID
     */
    private String photoId;
    /**
     * 广告创意状态
     */
    private Integer status;
    /**
     * 投放状态 1：投放中；2：暂停
     */
    private Integer putStatus;
    /**
     * 创建渠道  0：投放后台创建；1：Marketing API创建
     */
    private Integer createChannel;
    /**
     * 审核拒绝理由
     */
    private String reviewDetail;
    /**
     * 封面URL
     */
    private String coverUrl;
    /**
     * 视频封面token  若创意使用系统自动生成的首帧图片作为封面，该token无法复用
     */
    private String imageToken;
    /**
     * 封面图宽度
     */
    private String coverWidth;
    /**
     * 封面图高度
     */
    private String coverHeight;
    /**
     * 动态词包原始封面图片URL
     */
    private String overlayBgUrl;
    /**
     * 动态词包原始封面图片token
     */
    private String overlayBgImageToken;
    /**
     * stickerTitle
     */
    private String stickerTitle;
    /**
     * 贴纸样式类型
     */
    private String overlayType;
    /**
     * 广告语
     */
    private String description;
    /**
     * 行动号召按钮文案
     */
    private String actionBarText;
    /**
     * 点击测试链接
     */
    private String clickTrackUrl;
    /**
     * 第三方开始播放监测链接
     */
    private String impressionUrl;
    /**
     * 第三方有效播放监测链接
     */
    private String adPhotoPlayedT3sUrl; // 第三方有效播放监测链接
    private String shortSlogan;
    private String actionbarClickUrl; // 第三方点击按钮监测链接
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;

    private Integer firstFrameType;

    private Date creativeCreateTime;

    private Date creativeUpdateTime;

    private Long siteId;

    private String programmedCreativeMaterial;


    private String photoIds;

    private Integer creativeCategory;
    private String creativeTag;

}
