package com.xxl.job.executor.batch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 分天记录表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-03-12
 */
@Data
@TableName("ctop_kuaishou_daily_report_task")
public class KuaiShouDailyReportTask {

    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 广告账户ID（相当于头条返回的access_token数据中的advertiser_id）
     */
    private Long accountId;
    /**
     * 任务id
     */
    private String taskId;
    /**
     * 任务名称
     */
    private String taskName;
    /**
     * 0：新建，1：处理中，2：处理成功，3：处理失败，4：数据已下载 5:文件生成 本地下载失败
     */
    private Integer taskStatus;
    /**
     * 1：账户维度查询，2:  广告计划维度查询，3：广告组维度查询，4：广告创意维度查询
     */
    private Integer viewType;
    /**
     * 任务查询数据起始时间
     */
    private String statDate;

    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;
}
