package com.xxl.job.executor.batch.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 快手-定向信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-12-17
 */
@Data
@TableName("ctop_kuaishou_group_target")
public class KuaiShouGroupTarget {
    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 账户ID
     */
    private Long accountId;
    /**
     * 广告组ID
     */
    private Long unitId;
    /**
     * 地域
     */
    private String region;
    /**
     * 年龄最小限制
     */
    private Integer ageMin;
    /**
     * 年龄最大限制
     */
    private Integer ageMax;
    /**
     * 固定年龄段 【0：表示0-11岁】【12：表示12-17岁】【18：表示18-23岁】【24：表示24-30岁】【31：表示31-40岁】【41：表示41-49岁】【50：表示50-100岁】
     */
    private String agesRange;
    /**
     * 性别 1：女性, 2：男性， 0：不限
     */
    private Integer gender;
    /**
     * 操作系统 1： Android， 2： iOS， 0：不限
     */
    private Integer platformOs;
    /**
     * 安卓版本  3：不限， 4： 4.x+， 5： 5.x+， 6： 6.x+， 7： 7.x+；
     */
    private Integer androidOsv;
    /**
     * ios版本  6：不限， 7： 7.x+， 8： 8.x+，9： 9.x+， 10： 10.x+
     */
    private Integer iosOsv;
    /**
     * 网络环境 1： Wi-Fi， 2：移动网络，0：表示不限
     */
    private Integer network;
    /**
     * 设备品牌 1： OPPO， 2： VIVO，3：华为， 4：小米，5：荣耀， 6：三星，7：金立， 8：魅族，9：乐视， 10：其他，11 ： 苹 果
     */
    private String deviceBrand;
    /**
     * 设备价格 1： 1500 元以下，2： 1501~2000，3： 2001~2500，4： 2501~3000，5： 3001~3500，6： 3501~4000，7： 4001~4500，8： 4501~5000，9： 5001~5500，10： 5500 元以上
     */
    private String devicePrice;
    /**
     * 商业兴趣类型 0：不限，2：按照兴趣标签
     */
    private Integer businessInterestType;
    /**
     * 商业兴趣
     */
    private String businessInterest;
    /**
     * 网红粉丝
     */
    private String fansStar;
    /**
     * 兴趣视频用户
     */
    private String interestVideo;
    /**
     * APP行为-按分类
     */
    private String appInterest;
    /**
     * APP行为-按APP名称
     */
    private String appIds;

    private Integer filterConvertedLevel;
    /**
     * 人群包定向
     */
    private String population;
    /**
     * 人群包排除
     */
    private String excludePopulation;
    private String thirdPlatformCode;
    /**
     * 0：关闭智能扩量，1：打开智能扩量
     */
    private Integer isOpen;
    /**
     * 不可突破年龄 0：可突破/无需控制，1：不可突破
     */
    private Integer noAgeBreak;
    /**
     * 不可突破性别 0：可突破/无需控制，1：不可突破
     */
    private Integer noGenderBreak;
    /**
     * 不可突破地域 0：可突破/无需控制，1：不可突破
     */
    private Integer noAreaBreak;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;
}
