package com.xxl.job.executor.batch.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 快手-程序化创意
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-09-22
 */
@Data
@TableName("ctop_kuaishou_program_creative")
public class KuaishouProgramCreative {

    /**
     * id
     */
    @TableId
    private String id;
    /**
     * 账户ID
     */
    private Long accountId;
    /**
     * 广告组ID
     */
    private Long unitId;
    /**
     * 程序化创意包名称
     */
    private String packageName;
    /**
     * 横版视频 id list
     */
    private String horizontalPhotoIds;
    /**
     * 竖版视频 id list
     */
    private String verticalPhotoIds;
    /**
     * 封面imageToken
     */
    private String coverImageTokens;
    /**
     * 封面链接地址
     */
    private String coverImageUrls;
    /**
     * 建站id
     */
    private Long siteId;
    /**
     * 封面贴纸
     */
    private String stickerStyles;
    /**
     * 封面广告语
     */
    private String coverSlogans;
    /**
     * 行动号召按钮
     */
    private String actionBar;
    /**
     * 作品广告语
     */
    private String captions;
    /**
     * 第三方监测链接
     */
    private String clickUrl;
    /**
     * 第三方ActionBar点击监控链接
     */
    private String actionbarClickUrl;
    /**
     * 程序化创意操作状态，1：投放，2：暂停，3：删除
     */
    private Integer putStatus;
    /**
     * 程序化创意状态 -1：不限，1：计划已暂停，3：计划超预算，6：余额不足，11：组审核中，12：组审核未通过，14：已结束，15：组已暂停，17：组超预算，19：未达投放时间，40：创意已删除，41：审核中，42：审核未通过，46：已暂停，52：投放中，53：作品异常，55：部分素材审核通过
     */
    private Integer viewStatus;
    /**
     * 程序化创意状态描述
     */
    private String viewStatusReason;

    private Integer creativeCategory;
    private String creativeTag;

    /**
     * 创意创建时间
     */
    private Date creativeCreateTime;
    /**
     * 创意最后修改时间
     */
    private Date creativeUpdateTime;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * updateTime
     */
    private Date updateTime;
}
