package com.xxl.job.executor.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 用户分配
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-08-08
 */
@Data
@TableName("ctop_user_allocation")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UserAllocation implements Serializable {

    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 登陆人id
     */
    private String userId;

    private String userName;

    /**
     * 账户id --授权
     */
    private Long accountId;
    /**
     * 广告主ID
     */
    private String advertiserId;

    private String systemType;

    /**
     * 项目id
     */
    private Long projectId;

    /**
     * 输入账号  --登陆
     */
    private String accountName;

    /**
     * 预警 金额
     */
    private BigDecimal warningAmount;

    /**
     * 预警 比例
     */
    private BigDecimal warningProportion;

    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 授权名称
     */
    private String authName;


    /**
     * 0 启动
     * 1 禁用
     */
    private Integer accountStatus;

    /**
     * 检测链接预警
     * 0 启动
     * 1 禁用
     */
    private Integer monitoringLink;

    /**
     * 检测链接预警
     * 0 启动
     * 1 禁用
     */
    private Integer landingPage;

    /**
     * 修改时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    /**
     * 平台类型 1 头条 2快手
     */
    private String mediaId;
}
