package com.xxl.job.executor.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 素材
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-09-09
 */
@Data
@TableName("ctop_kuaishou_report_daily_material")
public class KuaiShouReportDailyMaterial {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 账户ID
     */
    private Long accountId;
    /**
     * 计划ID
     */
    private Long photoId;
    /**
     * channelType
     */
    private Integer channelType;
    /**
     * signature
     */
    private String signature;
    /**
     * 封面token
     */
    private String imageToken;
    /**
     * 封面url
     */
    private String coverUrl;
    /**
     * 视频uel
     */
    private String photoUrl;
    /**
     * 素材类型
     */
    private String creativeMaterialTypeString;
    /**
     * 场景
     */
    private String adScene;
    /**
     * 花费(元)
     */
    private BigDecimal charge;
    /**
     * 曝光数
     */
    private Integer photoShow;
    /**
     * 素材曝光数
     */
    private Integer aclick;
    /**
     * 行为数
     */
    private Integer bclick;
    /**
     * 分享数
     */
    private Integer photoShare;
    /**
     * 评论数
     */
    private Integer photoComment;
    /**
     * 点赞数
     */
    private Integer photoLike;
    /**
     * 新增关注数
     */
    private Integer follow;
    /**
     * 取消关注数
     */
    private Integer cancelFollow;
    /**
     * 举报数
     */
    private Integer report;
    /**
     * 拉黑数
     */
    private Integer block;
    /**
     * 减少此类作品数
     */
    private Integer negative;
    /**
     * 应用下载数据-安卓下载开始数
     */
    private Integer downloadStarted;
    /**
     * 应用下载数据-安卓下载完成数
     */
    private Integer downloadCompleted;
    /**
     * 应用下载数据-激活数
     */
    private Integer activation;
    /**
     * 提交按钮点击数
     */
    private Integer submit;
    /**
     * 日期
     */
    private String statDate;
    /**
     * 封面点击数
     */
    private Integer photoClick;
    /**
     * 封面点击率
     */
    private Double photoClickRatio;
    /**
     * 行为率
     */
    private Double actionRatio;
    /**
     * 平均千次曝光花费（元）
     */
    private BigDecimal impression1kCost;
    /**
     * 平均点击单价（元）
     */
    private BigDecimal photoClickCost;
    /**
     * 平均行为单价（元）
     */
    private BigDecimal actionCost;
    /**
     * 应用下载数据-首日付费次数
     */
    private Integer eventPayFirstDay;
    /**
     * 应用下载数据-首日付费金额
     */
    private BigDecimal eventPayPurchaseAmountFirstDay;
    /**
     * 应用下载数据-首日ROI
     */
    private Double eventPayFirstDayRoi;
    /**
     * 应用下载数据-付费次数
     */
    private Integer eventPay;
    /**
     * 应用下载数据-付费金额
     */
    private BigDecimal eventPayPurchaseAmount;
    /**
     * 应用下载数据-ROI
     */
    private Double eventPayRoi;
    /**
     * 应用下载数据-注册数
     */
    private Integer eventRegister;
    /**
     * 应用下载数据-注册成本
     */
    private BigDecimal eventRegisterCost;
    /**
     * 应用下载数据-注册率
     */
    private Double eventRegisterRatio;
    /**
     * 应用下载数据-完件数
     */
    private Integer eventJinJianApp;
    /**
     * 应用下载数据-完件成本
     */
    private BigDecimal eventJinJianAppCost;
    /**
     * 应用下载数据-授信数
     */
    private Integer eventCreditGrantApp;
    /**
     * 应用下载数据-授信成本
     */
    private BigDecimal eventCreditGrantAppCost;
    /**
     * 应用下载数据-授信率
     */
    private Double eventCreditGrantAppRatio;
    /**
     * 应用下载数据-付款成功数
     */
    private Integer eventOrderPaid;
    /**
     * 应用下载数据-付款成功金额
     */
    private BigDecimal eventOrderPaidPurchaseAmount;
    /**
     * 落地页数据-落地页完件数
     */
    private Integer eventJinJianLandingPage;
    /**
     * 落地页数据-落地页完件成本
     */
    private BigDecimal eventJinJianLandingPageCost;
    /**
     * 落地页数据-落地页授信数
     */
    private Integer eventCreditGrantLandingPage;
    /**
     * 落地页数据-落地页授信成本
     */
    private BigDecimal eventCreditGrantLandingPageCost;
    /**
     * 落地页数据-落地页授信率
     */
    private Double eventCreditGrantLandingRatio;
    /**
     * 应用下载数据-次留成本（仅支持分日查询）
     */
    private BigDecimal eventNextDayStayCost;
    /**
     * 应用下载数据-次留率（仅支持分日查询）
     */
    private Integer eventNextDayStayRatio;
    /**
     * 落地页数据-表单提交点击率
     */
    private Double formActionRatio;
    /**
     * 应用下载数据-单次付款成本
     */
    private BigDecimal eventOrderPaidCost;
    /**
     * 应用下载数据-次留数（仅支持分日查询）
     */
    private Integer eventNextDayStay;
    /**
     * 落地页数据-表单提交单价
     */
    private BigDecimal formCost;
    /**
     * 落地页数据-表单提交数
     */
    private Integer formCount;
    /**
     * 3s播放率
     */
    private Double play3sRatio;
    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 修改时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
}
